/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityUse;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class FacilityUseDetail {
    public BigDecimal calcUsageCost() {
        return new BigDecimal(0);
    }

    public void post() {
    }

    public FacilityUseDetail mi_generateActual() {
        return new FacilityUseDetail();
    }

    public Vector mi_assessSeverityOfProblems() {
        return new Vector();
    }

    public Vector mi_comparePlanVsActual() {
        return new Vector();
    }

    private int qty;
    private int interval;
    private int useAmount;
    private int useUnitOfMeasure;
    private int status;

    /**
     * @supplierRole actual
     * @clientRole plan
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private FacilityUseDetail lnkUnnamed;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 0..1
     */
    private FacilityMgmt.FacilityMaintenance.FacilityProblem lnkUnnamed1;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..1
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed2;
}


